{ config, pkgs, ... }:
{
	home.username = "th3r00t";
	home.homeDirectory = "/home/th3r00t";
	home.file.".local/usr/bin" = {
		source = ./home/.local/usr/bin;
		recursive = true;
		executable = true; 
	};
	home.file.".local/usr/lib/blightmud" = {
		source = ./home/.local/usr/lib/blightmud;
		recursive = true;
		executable = true; 
	};
	home.file.".config/nvim" = {
		source = ./home/config/nvim;
		recursive = true;
		executable = true; 
	};
	home.file.".irssi" = {
		source = ./home/.irssi;
		recursive = true;
		executable = true; 
	};
	home.file.".ssh/allowed_signers".text = ''
		* ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIH8P/3yzsruekSaZ9b+yk429VTcfCtI1j8jnkNbPAgnr th3r00t@nixos
	'';
	imports = [
		# modules/hyprland.nix
		modules/home-manager-common.nix
	];
	xdg.enable = true;
	programs.nix-index.enable = true;
	fonts.fontconfig.enable = false;
	home.sessionVariables = {
		EDITOR = "nvim";
		BROWSER = "qutebrowser";
		PLATFORMTHEME = "kde";
	};
	home.packages = with pkgs; [
		autossh
		fastfetch
		ranger
		zip
		unzip
		xz
		p7zip
		ripgrep
		jq
		ripgrep
		eza
		fzf
		tmux
		cowsay
		lolcat
		fortune
		gnused
		gnutar
		gnupg
		hugo
		bat
		which
		nix-output-monitor
		devenv
		irssi
		luarocks
		lua5_1
		lua-language-server
		go
		nodejs
		uv
		readline
		cachix
		sqlite
		vifm-full
		ranger
		zoxide
		(
			python313.withPackages (
				python-pkgs: 
				[
					python-pkgs.prompt_toolkit
					python-pkgs.pygments
					python-pkgs.pynvim
					python-pkgs.pudb
					python-pkgs.ptpython
					python-pkgs.ipython
				]
			)
		)
		neovim
		zig
		syncthing
		lazygit
		wofi
		gopls
		pyright
		ncurses
		rustup
		wayvnc
		gvfs
	];
	home.stateVersion = "25.05";
}
